/* complement.h
 *
 * Implementation of the DTWA complementation alogrithm by Anca Muscholl,
 * Mathias Samuelides and Luc Segoufin.
 *
 * Copyright (C) 2009 ENS Cachan
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301  USA.
 */

#ifndef COMPLEMENT_H
#define COMPLEMENT_H

#include "dtwa.h"

/* Build the complement of the argument DTWA. */
dtwa *complement_dtwa(const dtwa *wa, bool names, bool notrans);

#endif
